1. pet
My Project
  • Start your Apidog journey
  • petstore
    • user
      • Get user by user name
      • Updated user
      • Delete user
      • Create user
      • Creates list of users with given input array
      • Creates list of users with given input array
      • Logs out current logged in user session
      • Logs user into the system
    • pet
      • Update an existing pet
        PUT
      • Add a new pet to the store
        POST
      • Find pet by ID
        GET
      • Updates a pet in the store with form data
        POST
      • Deletes a pet
        DELETE
      • uploads an image
        POST
      • Finds Pets by tags
        GET
      • Finds Pets by status
        GET
    • store
      • Place an order for a pet
      • Find purchase order by ID
      • Delete purchase order by ID
      • Returns pet inventories by status
  • Schemas
    • Sample Schemas
    • RequestBodies
    • Schemas
      • User
      • Category
      • Pet
      • Tag
      • Order
      • ModelApiResponse
  1. pet

Deletes a pet

DELETE
/v2/pet/{petId}

Request

Path Params

Header Params

Responses

🟠400Bad Request
Invalid ID supplied
This response does not have a body.
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE '/v2/pet/'
Modified at 2025-06-05 06:33:15
Previous
Updates a pet in the store with form data
Next
uploads an image
Built with